GNU Radio's TEST Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::iqbalance::optimize_c Class Reference

`#include <optimize_c.h>`

Inheritance diagram for gr::iqbalance::optimize_c:

## Public Types
typedef std::shared_ptr< optimize_c > | sptr

## Public Member Functions
| ~optimize_c ()
void | set_period (int period)
int | period () const
float | mag () const
float | phase () const
void | reset (void)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Static Public Member Functions
static sptr | make (int period=0)

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<optimize_c> gr::iqbalance::optimize_c::sptr

## Constructor & Destructor Documentation

## ◆ ~optimize_c()

gr::iqbalance::optimize_c::~optimize_c | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void gr::iqbalance::optimize_c::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## ◆ mag()

float gr::iqbalance::optimize_c::mag | ( |  | ) | const
| inline

## ◆ make()

static sptr gr::iqbalance::optimize_c::make | ( | int | period = `0` | ) |
| static

## ◆ period()

int gr::iqbalance::optimize_c::period | ( |  | ) | const
| inline

## ◆ phase()

float gr::iqbalance::optimize_c::phase | ( |  | ) | const
| inline

## ◆ reset()

void gr::iqbalance::optimize_c::reset | ( | void |  | ) |
| inline

## ◆ set_period()

void gr::iqbalance::optimize_c::set_period | ( | int | period | ) |
| inline

## ◆ work()

int gr::iqbalance::optimize_c::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- optimize_c.h